﻿:root {
    --deep-blue: #1A1976;
    --gold: #C6B393;
    --input-gray: #CBD2CB;
}

body.login-page {
    background-color: var(--deep-blue);
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    margin: 0;
    font-family: 'GE Dinar One', sans-serif;
}

/* الحاوية */
.overlap-container {
    display: flex;
    align-items: center;
    position: relative;
    width: 90%;
    max-width: 950px;
}

/* الصورة */
.image-card-overlay {
    flex: 0 0 45%;
    z-index: 2;
    margin-left: -8%;
    filter: drop-shadow(0 15px 30px rgba(0,0,0,0.35));
}

    .image-card-overlay img {
        width: 100%;
        height: 480px;
        object-fit: cover;
        border-radius: 30px;
    }

/* الفورم */
.form-card-main {
    flex: 0 0 65%;
    background: white;
    border-radius: 20px;
    min-height: 560px;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0 25px 45px rgba(0,0,0,0.25);
}

.form-inner-content {
    width: 100%;
    max-width: 280px;
    text-align: center;
}

/* عناصر داخلية */
.brand-logo {
    width: 120px;
    margin-bottom: 10px;
}



.portal-tag {
    font-weight: bold;
    margin-bottom: 25px;
}

/* الحقول */
.custom-input {
    width: 100%;
    background: var(--input-gray);
    border: none;
    border-radius: 10px;
    padding: 12px;
    text-align: center;
    margin-bottom: 15px;
    font-family: 'GE Dinar One';
}

/* الزر */
.gold-button {
    background: var(--gold);
    color: white;
    border: none;
    padding: 10px 45px;
    border-radius: 10px;
    cursor: pointer;
    font-family: 'GE Dinar One';
}

/* ------------------ */
/* 📱 نسخة الجوال */
/* ------------------ */

@media (max-width: 768px) {

    body.login-page {
        background: none;
    }

    .overlap-container {
        flex-direction: column;
        width: 100%;
        height: 100vh;
        position: relative;
    }

    /* الصورة تصبح خلفية */
    .image-card-overlay {
        position: absolute;
        width: 100%;
        height: 40%;
        margin: 0;
        z-index: 0;
    }

        .image-card-overlay img {
            width: 100%;
            height: 100%;
            border-radius: 0;
        }

    /* كرت اللوقن */
    .form-card-main {
        position: absolute;
        bottom: 0;
        width: 100%;
        border-radius: 40px 40px 0 0; /* نصف Radius من الأعلى فقط */
        min-height: 65%;
        z-index: 2;
    }
}
